import GameLogic
import math
import Mathutils

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

wm = GameLogic.wm

# print wm.state get a dictionnary
# {'acc': (104, 130, 129), 'led': 0, 'rpt_mode': 150, 'ext_type': 4, 'motionplus': {'angle_rate': (8052, 8314, 8031)}, 'buttons': 0, 'rumble': 0, 'error': 0, 'battery': 83}
# {  0  :     0          ,   1  : 1,       2   :  2 ,     3     : 3,     4       : {    0       0 ( 0  ,    1,    2)},     5    : 5,     6   : 6,     7  : 7,     8    : 8 }

accX = 10.0 * wm.state['acc'][1]
accY = 10.0 * wm.state['acc'][0]
accZ = 10.0 * wm.state['acc'][2]

motionplus = wm.state['motionplus']
# {'angle_rate': (8044, 8359, 8033)}
mpPitch = motionplus['angle_rate'][0]
mpRoll =  motionplus['angle_rate'][1]
mpYaw =   motionplus['angle_rate'][2]

#############################################################################
################### Set Location with acc
#############################################################################

xxx = accX/50.0 - 35.0
yyy = accY/50.0 - 20.0
zzz = accZ/50.0 - 32.0

# Set owner position
owner.worldPosition = ( yyy ,  xxx , zzz)

#############################################################################
################### Set Orientation
#############################################################################
#set objects orientation
def owner_orientation(alpha, beta, gamma):
	euler = Mathutils.Euler(alpha, beta, gamma)
	owner.worldOrientation = euler.toMatrix()
#############################################################################
# Set -1 < angle < 1
mpYaw = (mpYaw / 8000.0) - 1.0
mpRoll = (mpRoll / 8000.0) - 1.0
mpPitch = (mpPitch / 8000.0) -1.0


# Set orientation
alpha = mpPitch * 60 - 30
beta = mpRoll * 60
gamma =  mpYaw * 60

# Set orientation
owner_orientation(alpha, beta, gamma)

